/**
 ** aspectCntrlTaskCodels.c
 **
 ** Codels used by the control task aspectCntrlTask
 **
 ** Auteur: 
 ** Date: 
 **
 **/

#ifndef UNIX
#include <vxWorks.h>
#else
#include <portLib.h>
#endif
#include <stdio.h>
#include <math.h>

#include "server/aspectHeader.h"

/*------------------------------------------------------------------------
 * aspectSetViewParametersCntrl  -  control codel of CONTROL request SetViewParameters
 *
 * Description:    
 * Report (bilan): OK 
 *                 S_aspect_BAD_PARAMETERS
 *
 * Return:    OK ou ERROR
 */

STATUS aspectSetViewParametersCntrl (ASPECT_VIEW_PARAMETERS *viewParameters, 
				     int *bilan)
{
  if (viewParameters->maxDistView <= 0) {
    printf ("aspectSetViewParametersCntrl: bad max dist %f\n",
	    viewParameters->maxDistView);
    *bilan = S_aspect_BAD_PARAMETERS;
    return ERROR;
  }

  if (viewParameters->halfAngleView >= M_PI)
    viewParameters->halfAngleView = 0;

  return OK;
}

